at.chipkarte.client.elgaad.soap

## Class Code

- Object
- - at.chipkarte.client.elgaad.soap.Code

-     public class Code
      extends Object

  ELGA spezifische Codedefiniton.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob der Code zwecks "Erfassung" oder "Änderung" oder "Abfrage" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Code()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Codewert.
    `String` | `getCodesystem()` Eindeutige ID des Codesystems.
    `String` | `getDisplayname()` Anzeigetext des Codewerts.
    `String` | `getValidierungsId()` ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
    `void` | `setCode(String code)`
    `void` | `setCodesystem(String codesystem)`
    `void` | `setDisplayname(String displayname)`
    `void` | `setValidierungsId(String validierungsId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Code

          public Code()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Codewert.
      Beispiel: `100000073564` für die Anwendungsart "Anwendung am Ohr".
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Codewert.

    - #### getCodesystem

          public String getCodesystem()

      Eindeutige ID des Codesystems.
      Beispiel: `1.2.40.0.10.1.4.3.4.3.4`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Codesystem.

    - #### getDisplayname

          public String getDisplayname()

      Anzeigetext des Codewerts.
      Beispiel: `Anwendung am Ohr`
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Abfrage: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Anzeigetext.

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
      Tritt bei der Validierung eines Eingangsparameters ein Fehler auf, so wird in der retournierten Meldung (innerhalb von `BackendMeldung`, `ElgaadExceptionContent` oder `ElgaadInvalidParameterExceptionContent`) auch die Validierungs-ID des direkt oder indirekt enthaltenden Objekts angeführt (sofern vorhanden). Die Versorgung selbst, auch auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Abfrage: Kann.
      Ausgabebedingung: Nicht angegeben.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        ValidierungsId.

    - #### setCode

          public void setCode(String code)

    - #### setCodesystem

          public void setCodesystem(String codesystem)

    - #### setDisplayname

          public void setDisplayname(String displayname)

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)